Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Firefox Browser Version 104

  • Akukho zimpendulo
  • 1 inale nkinga
  • 15 views
more options

On August 30, 2022 my Firefox Browser was updated to Version 104. Since that date I am unable to log into my Chase Banking account. Chase Bank gives an error code "We don't support this browser version anymore. Using an updated version will help protect your accounts and provide a better experience. Update your browser"

I don't know why they say they don't support this version when it's brand new. I called Chase Bank and were really of no help. Their answer was "They support the latest version" but when I asked what is the latest version by number that they support they could not give me an answer. Does the bank need to clear or accept each updated version before one can use it?

Where does the problem lie and what is the solution. Is it with Firefox or with Chase Bank?

I was always able to log into my account using Firefox in the past with no problem. I can also use Microsoft Edge and log into my account.

On August 30, 2022 my Firefox Browser was updated to Version 104. Since that date I am unable to log into my Chase Banking account. Chase Bank gives an error code "We don't support this browser version anymore. Using an updated version will help protect your accounts and provide a better experience. Update your browser" I don't know why they say they don't support this version when it's brand new. I called Chase Bank and were really of no help. Their answer was "They support the latest version" but when I asked what is the latest version by number that they support they could not give me an answer. Does the bank need to clear or accept each updated version before one can use it? Where does the problem lie and what is the solution. Is it with Firefox or with Chase Bank? I was always able to log into my account using Firefox in the past with no problem. I can also use Microsoft Edge and log into my account.

Kufanele ulogele ukungena ku-akhawunti yakho ukuze uphendule amaphosti. Uyacelwauqale umbuzo omusha, uma ungekabi nayo i-akhawunti namanje.